Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InviteGroupCallParticipants

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.InviteGroupCallParticipants

Enclosing class:
  TdApi

public static final class TdApi.InviteGroupCallParticipants extends TdApi.Function<TdApi.Ok>
Invites users to an active group call. Sends a service message of type messageInviteToGroupCall for video chats.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`groupCallId`
Group call identifier.
`long[]`
`userIds`
User identifiers.

## Constructor Summary

Constructors
Constructor
Description
`InviteGroupCallParticipants()`
Invites users to an active group call.
`InviteGroupCallParticipants(int groupCallId, long[] userIds)`
Invites users to an active group call.
`InviteGroupCallParticipants(DataInput input)`
Invites users to an active group call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### userIds

public long[] userIds
User identifiers. At most 10 users can be invited simultaneously.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InviteGroupCallParticipants

public InviteGroupCallParticipants()
Invites users to an active group call. Sends a service message of type messageInviteToGroupCall for video chats.

Returns `Ok`

### InviteGroupCallParticipants

public InviteGroupCallParticipants(int groupCallId, long[] userIds)
Invites users to an active group call. Sends a service message of type messageInviteToGroupCall for video chats.

Returns `Ok`

Parameters:
  `groupCallId` - int Group call identifier.
  `userIds` - long[] User identifiers. At most 10 users can be invited simultaneously.

### InviteGroupCallParticipants

public InviteGroupCallParticipants(DataInput input) throws IOException
Invites users to an active group call. Sends a service message of type messageInviteToGroupCall for video chats.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`